package FilterProxy::Clean;

use HTML::Clean;

sub BEGIN {
  %FilterProxy::Clean::options = (
        whitespace    => 1,
        shortertags   => 1,
        blink         => 1,
        contenttype   => 1,
        comments      => 1,
        entities      => 1,
        dequote       => 0,
        defcolor      => 0,
        javascript    => 1,
        htmldefaults  => 0,
        lowercasetags => 1,
        meta          => "GENERATOR FORMATTER",
        emptytags     => 'b i font center table'
      );
  $FilterProxy::Clean::level = 9;
  $FilterProxy::Clean::compat = 1;
  $FilterProxy::Clean::defrontpage = 1;
}

sub filter {
  my($r, $html) = @_;
  my($h) = new HTML::Clean($html); #, $FilterProxy::Clean::level);
  if($FilterProxy::Clean::compat) { $h->compat(); }
  $h->strip(\%FilterProxy::Clean::options);
  if($FilterProxy::Clean::defrontpage) { $h->defrontpage(); }
  return $h->data();
}

sub config {

}

1;
